Name:             python-tornado
Version:          5.0.2
Release:          8
Summary:          a Python web framework and asynchronous networking library
License:          ASL 2.0
URL:              http://www.tornadoweb.org
Source0:          https://files.pythonhosted.org/packages/source/t/tornado/tornado-%{version}.tar.gz
Patch0:           fix-erroneous-deprecation-warnings.patch
Patch1:           CVE-2023-28370.patch

BuildRequires:    gcc python2-devel python2-singledispatch python3-devel

%description
Tornado is a Python web framework and asynchronous networking library, originally
developed at FriendFeed. By using non-blocking network I/O, Tornado can scale to
tens of thousands of open connections, making it ideal for long polling, WebSockets,
and other applications that require a long-lived connection to each user.

%package -n python2-tornado
Summary:          a Python web framework and asynchronous networking library
Requires:         python2-pycurl python2-backports_abc python2-singledispatch python2-futures
%{?python_provide:%python_provide python2-tornado}

%description -n python2-tornado
Tornado is a Python web framework and asynchronous networking library, originally
developed at FriendFeed. By using non-blocking network I/O, Tornado can scale to
tens of thousands of open connections, making it ideal for long polling, WebSockets,
and other applications that require a long-lived connection to each user.

%package -n python3-tornado
Summary:          a Python web framework and asynchronous networking library
Requires:         python3-pycurl
%{?python_provide:%python_provide python3-tornado}

%description -n python3-tornado
Tornado is a Python web framework and asynchronous networking library, originally
developed at FriendFeed. By using non-blocking network I/O, Tornado can scale to
tens of thousands of open connections, making it ideal for long polling, WebSockets,
and other applications that require a long-lived connection to each user.

%prep
%autosetup -n tornado-%{version} -p1
%{__sed} -i.orig -e '/^#!\//, 1d' *py tornado/*.py tornado/*/*.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-tornado
%defattr(-,root,root)
%license LICENSE
%doc README.rst
%{python2_sitearch}/*

%files -n python3-tornado
%defattr(-,root,root)
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%changelog
* Fri Jun 16 2023 yaoxin <yao_xin001@hoperun.com> - 5.0.2-8
- Fix CVE-2023-28370

* Mon Sep 27 2021 lingsheng <lingsheng@huawei.com> - 5.0.2-7
- Provide python-tornado

* Fri Aug 21 2020 shixuantong <shixuantong@huawei.com> - 5.0.2-6
- add release version for rebuild

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0.2-5
- Package init

